Page MenuHomePhabricator

[mlir][Pass] Move the registration of dialect passes to tablegen
ClosedPublic

Authored by rriddle on Mar 23 2020, 5:40 PM.

Details

Summary

This generates a Passes.td for all of the dialects that have transformation passes. This removes the need for global registration for all of the dialect passes.

Depends On D76656

Diff Detail

Event Timeline

rriddle created this revision.Mar 23 2020, 5:40 PM
jpienaar accepted this revision.Mar 25 2020, 6:43 PM
This revision is now accepted and ready to land.Mar 25 2020, 6:43 PM
nicolasvasilache accepted this revision.Mar 27 2020, 6:40 AM
This revision was automatically updated to reflect the committed changes.